Subject: Re: [Healeys] Webers

From: Michael Salter <[email-masked]>
Date: Mon, 30 Dec 2013 18:50:01 -0500

Hi John,
Isn't 16MPG a little bit high?
I seem to recall something more like 20 - 22 MPG (US) being what most of
the road tests got for BJ8s with SUs and I remember getting a consistent 24
- 26 MPG (Imp Highway) from my BJ8 when I had one.
A reduction in fuel mileage of that magnitude seems like a high price to
pay for the looks and small performance improvement that Webers provide.
If they are tuned correctly I would think that they should provide similar
gas mileage to SUs, after all it is just a function of the amount of energy
one can extract from burning fuel at the correct mixture.
Do you have any numbers for your car before the Webers were installed?
Just curious......

Michael S
BN1 #174

On Mon, Dec 30, 2013 at 11:47 AM, John Carter <[email-masked]> wrote:

> I have had triple SK carbs on my BJ8 II for over 16 years. They are
> Japanese
> copies of Webers and use Weber tuning parts. The best advise I can give
> you is
> to go to a shop like
> Loyningb s in Portland,OR and have the car tuned on a chassis dyno by
> someone
> who knows what they are doing. My car has never run better since I did just
> that. I never touch
> the carbs and it runs great at both low and high rpmb s. I get about 16mpg
> on
> the highway and 13 in town on premium gas.
> _______________________________________________
> Support Team.Net http://www.team.net/donate.html
> Suggested annual donation  $12.75
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
>
> [email-masked]
> http://autox.team.net/mailman/listinfo/healeys
>
> Unsubscribe/Manage:
> http://autox.team.net/mailman/options/healeys/[email-masked]
>
>

-- 
All wisdom is plagiarism; only stupidity is original.
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

---

From: Wilko2 <[email-masked]>
Date: Mon, 30 Dec 2013 16:49:21 -0800

I, too, am curious to see some other numbers for fuel efficiency for Weber vs
SU. Even 2 vs 3 SUs.

There are other factors besides just the amount of fuel mixture needed for x
amount of power such as the fact that, fuel is dribbling from jets and
progression holes whether or not a cylinder is firing. That is the reason that
EFI can be so much more efficientfuel is only squirted for the firing time.

Wilko

[email-masked]

---

From: TERRY COLL <[email-masked]>
Date: Tue, 31 Dec 2013 14:10:36 -0500

I'm looking for some advice regards removing the grill surround (to get it
re-chromed) on my MK III Ph II BJ8.  Does the grill have to come out too?  Is
it  best done from the wheel well (sans wheels)?  Any/all help appreciated.

Terry Coll  '64 BJ8

Happy New Year to all!

[email-masked]

---

From: Tom <[email-masked]>
Date: Tue, 31 Dec 2013 16:41:36 -0500

Hi Terry,

I had my grill and surround out last year, so it's been a while.  My car is
missing the splash panels between the wheel and the grill, so I was able to
get to the grill from the wheel wells.  I turned the wheels hard in one
direction, and that gave me the access I needed.  I was able to drop the
grill and surround down, and then back thru the front to get it out.

I did it myself, but a helper would be a good idea.   It's a bit tight, and
you don't want to nick the paint.

- tom

On Tue, Dec 31, 2013 at 2:10 PM, TERRY COLL <[email-masked]> wrote:

> http://autox.team.net/mailman/options/healeys/[email-masked]

[email-masked]